<?xml version='1.0' encoding='ISO-8859-1' standalone='no'?>
<!DOCTYPE interface-description SYSTEM 'file:///usr/pkgsrc/lang/oo2c/work.macaroon/oo2c_32-2.0.11/rsrc/OOC/xml/interface-description.dtd'>
<interface-description name='XML:Regexp' id=''>
  <import-decl name='DTD' id='DTD' export='no' module='XML:DTD'/>
  <type-decl name='State' id='State' export='no'>
    <type>
      <type-name module='#predef' name='LONGINT'/>
    </type>
  </type-decl>
  <type-decl name='States' id='States' export='no'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <record/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <type-decl name='Members' id='Members' export='no'>
    <type>
      <pointer>
        <pointer-base>
          <array>
            <element-type>
              <type-name module='#predef' name='State'/>
            </element-type>
          </array>
        </pointer-base>
      </pointer>
    </type>
  </type-decl>
  <import-decl name='-RT0' id='-RT0' export='no' module='RT0'/>
  <import-decl name='-Object' id='-Object' export='no' module='Object'/>
  <import-decl name='-Exception' id='-Exception' export='no' module='Exception'/>
  <class name='Regexp'>
    <type-decl name='Regexp' id='Regexp' export='yes'>
      <type>
        <pointer>
          <pointer-base>
            <type-name name='RegexpDesc' href='#RegexpDesc'/>
          </pointer-base>
        </pointer>
      </type>
    </type-decl>
    <type-decl name='RegexpDesc' id='RegexpDesc' export='no'>
      <type>
        <record/>
      </type>
    </type-decl>
    <procedure name='New' id='New' export='yes'>
      <oberon-doc>
        <pre-cond pad-after='yes'>
          <p pad-after='no' no-indent='yes'>The <oberon-param href='#New.contentModel'>contentModel</oberon-param> is neither <code>EMPTY</code>, <code>ANY</code>, nor <samp>Mixed</samp>.</p>
        </pre-cond>
      </oberon-doc>
      <formal-parameters>
        <parameter-decl name='contentModel' id='New.contentModel' export='no' variable-parameter='no'>
          <type>
            <type-name module='DTD' name='CP' href='XML:DTD#CP'/>
          </type>
        </parameter-decl>
        <result-type>
          <type-name name='Regexp' href='#Regexp'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <base-class module='XML:DTD' class='RegexpInfo' href='XML:DTD#RegexpInfo'/>
  </class>
  <class name='Set'>
    <type-decl name='Set' id='Set' export='no'>
      <type>
        <pointer>
          <pointer-base>
            <type-name name='SetDesc' href='#SetDesc'/>
          </pointer-base>
        </pointer>
      </type>
    </type-decl>
    <type-decl name='SetDesc' id='SetDesc' export='no'>
      <type>
        <record/>
      </type>
    </type-decl>
  </class>
  <class name='Matcher'>
    <type-decl name='Matcher' id='Matcher' export='yes'>
      <type>
        <pointer>
          <pointer-base>
            <type-name name='MatcherDesc' href='#MatcherDesc'/>
          </pointer-base>
        </pointer>
      </type>
    </type-decl>
    <type-decl name='MatcherDesc' id='MatcherDesc' export='no'>
      <type>
        <record/>
      </type>
    </type-decl>
    <procedure name='NewMatcher' id='NewMatcher' export='yes'>
      <formal-parameters>
        <parameter-decl name='regexp' id='NewMatcher.regexp' export='no' variable-parameter='no'>
          <type>
            <type-name name='Regexp' href='#Regexp'/>
          </type>
        </parameter-decl>
        <result-type>
          <type-name name='Matcher' href='#Matcher'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <procedure name='Matches' id='MatcherDesc.Matches' export='yes'>
      <formal-parameters>
        <receiver-decl name='m' id='MatcherDesc.Matches.m' export='no' variable-parameter='no'>
          <type>
            <type-name name='Matcher' href='#Matcher'/>
          </type>
        </receiver-decl>
        <parameter-decl name='name' id='MatcherDesc.Matches.name' export='no' variable-parameter='no'>
          <type>
            <type-name module='DTD' name='String' href='XML:DTD#String'/>
          </type>
        </parameter-decl>
        <result-type>
          <type-name module='#predef' name='BOOLEAN'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <procedure name='EndOfRegexp' id='MatcherDesc.EndOfRegexp' export='yes'>
      <formal-parameters>
        <receiver-decl name='m' id='MatcherDesc.EndOfRegexp.m' export='no' variable-parameter='no'>
          <type>
            <type-name name='Matcher' href='#Matcher'/>
          </type>
        </receiver-decl>
        <result-type>
          <type-name module='#predef' name='BOOLEAN'/>
        </result-type>
      </formal-parameters>
    </procedure>
    <procedure name='ExpectedTags' id='MatcherDesc.ExpectedTags' export='yes'>
      <formal-parameters>
        <receiver-decl name='m' id='MatcherDesc.ExpectedTags.m' export='no' variable-parameter='no'>
          <type>
            <type-name name='Matcher' href='#Matcher'/>
          </type>
        </receiver-decl>
        <parameter-decl name='currentElement' id='MatcherDesc.ExpectedTags.currentElement' export='no' variable-parameter='no'>
          <type>
            <type-name module='DTD' name='String' href='XML:DTD#String'/>
          </type>
        </parameter-decl>
        <result-type>
          <type-name module='DTD' name='String' href='XML:DTD#String'/>
        </result-type>
      </formal-parameters>
    </procedure>
  </class>
  <module-ref name='XML:DTD'>
    <ref-target type='html' relative-uri='DTD.html'/>
  </module-ref>
</interface-description>
